ServerSignature Off
Options -indexes

RewriteCond %{REQUEST_URI} ^(.*)?wp-login\.php(.*)$ [OR]
RewriteCond %{REQUEST_URI} ^(.*)?wp-admin$
RewriteCond %{REMOTE_ADDR} !^217\.64\.149\.97
RewriteCond %{REMOTE_ADDR} !^192.0.
RewriteCond %{REMOTE_ADDR} !^212\.
RewriteCond %{REMOTE_ADDR} !^81\.
RewriteCond %{REMOTE_ADDR} !^194\.
RewriteCond %{REMOTE_ADDR} !^127\.
RewriteCond %{REMOTE_ADDR} !^10\.
RewriteCond %{REMOTE_ADDR} !^2a01\:
RewriteCond %{REMOTE_ADDR} !^2001\:

RewriteRule ^(.*)$ - [R=403,L]

RewriteCond %{REQUEST_METHOD} ^(GET|POST|PUT|PATCH|DELETE) [NC]
RewriteCond %{REQUEST_URI} ^.*wp-json/wp/ [NC]
RewriteCond %{REMOTE_ADDR} !^217\.64\.149\.97
RewriteCond %{REMOTE_ADDR} !^192\.0\.
RewriteCond %{REMOTE_ADDR} !^212\.
RewriteCond %{REMOTE_ADDR} !^81\.
RewriteCond %{REMOTE_ADDR} !^194\.
RewriteCond %{REMOTE_ADDR} !^127\.
RewriteCond %{REMOTE_ADDR} !^10\.
RewriteCond %{REMOTE_ADDR} !^2a01\:
RewriteCond %{REMOTE_ADDR} !^2001\:
RewriteRule ^(.*)$ - [F]

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>

# END WordPress
